package com.shkj.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 返回状态码枚举
 * @author Jun
 * @date 2020年4月5日 上午3:33:23
 */
@Getter
@AllArgsConstructor
public enum HttpStatus {

	SUCCESS(200, "success"),

	ERROR(500, "系统异常，请检查请求参数"),

	UNAUTHORIZED(401, "未登录或登录过期"),

	AUTHORIZED_FAILURE(1003, "认证失败，请稍后再操作"),

	AUTHORIZED_EXPIRE(403, "授权已过期，请重新登录"),

	FORBIDDEN(401, "访问受限，无操作权限"),

	NOT_FOUND(1006, "路径不存在，请检查路径是否正确"),

	UNSUPPORTED_TYPE(1007, "不支持的文件格式"),

	PARAM_INVALID(1008, "参数无效"),

	CONFIRM(1000, "确认操作"),

	TO_DEAL_PICK(800,"存在拣货的任务"),
	TO_DEAL_RELEATE_CONTAINER(801,"存在绑定周转箱的任务"),
	APP_VERSION_CHECK(2000,"版本不需要更新")


	;
	private final int code;

	private final String message;
}
